Skip to main content
POST
Generate a PDF of a saved Client Report

Authorizations

x-api-key
string
header
required

Body

application/json

Client Report identifier

reportId
string
required

The reportId of the Client Report, as returned by the GET /clientReports listing endpoint

Response

Successful operation

reportId
string

The Client Report's own ID, echoed back from the request

jobId
string

The PDF generation job's ID - use this with GET /clientReports/generatePDF?jobId={jobId} to poll for completion

status
enum<string>

"started" for a newly-created job. "started" / "inProgress" with an existing jobId if a PDF of this report you requested is still being generated - poll that job. "done" if you already created a PDF of this report within the last 60 minutes and it was returned instead (see downloadUrl/generatedAt)

Available options:
started,
inProgress,
done
downloadUrl
string

Only present when status is "done" (an existing PDF was reused)

downloadUrlExpiresAt
string

Only present when status is "done" - when downloadUrl stops working

generatedAt
string

Only present when status is "done" (an existing PDF was reused) - when that PDF was originally generated